Package twisted :: Package protocols :: Module msn :: Class MSNContact

[frames | no frames]

## Class MSNContact

This class represents a contact (user).

Method Summary
| `__init__(self, userHandle, screenName, lists, groups, status)`
| ``addToList`(self, listType)` Update the lists attribute to reflect being part of the given list.
| ``removeFromList`(self, listType)` Update the lists attribute to reflect being removed from the given list.
| ``setPhone`(self, phoneType, value)` set phone numbers/values for this specific user.

Instance Variable Summary
| `groups`: A list of all the group IDs which this contact belongs to.
| `hasPager`: Whether or not this user has a mobile pager (true=yes, false=no)
str if known, otherwise None. | `homePhone`: The contact's home phone number.
| `lists`: An integer representing the sum of all lists that this contact belongs to.
str if known, otherwise None. | `mobilePhone`: The contact's mobile phone number.
| `screenName`: The contact's screen name.
str if contact's status is known, None otherwise. | `status`: The contact's status code.
| `userHandle`: The contact's user handle (passport).
str if known, otherwise None. | `workPhone`: The contact's work phone number.

Method Details

### addToList(self, listType)

Update the lists attribute to reflect being part of the given list.

### removeFromList(self, listType)

Update the lists attribute to reflect being removed from the given list.

### setPhone(self, phoneType, value)

set phone numbers/values for this specific user. for phoneType check the *_PHONE constants and HAS_PAGER

Instance Variable Details

### groups

A list of all the group IDs which this contact belongs to.

### hasPager

Whether or not this user has a mobile pager (true=yes, false=no)

### homePhone

The contact's home phone number.

  Type:
    str if known, otherwise None.

### lists

An integer representing the sum of all lists that this contact belongs to.

### mobilePhone

The contact's mobile phone number.

  Type:
    str if known, otherwise None.

### screenName

The contact's screen name.

### status

The contact's status code.

  Type:
    str if contact's status is known, None otherwise.

### userHandle

The contact's user handle (passport).

### workPhone

The contact's work phone number.

  Type:
    str if known, otherwise None.

Generated by Epydoc 2.0 on Sat May 15 20:08:00 2004 | http://epydoc.sf.net